Subject: Re: bug#14130: 24.3.50; doc/help for advice and advised functions
From: Stefan Kangas <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Sep 2021 10:15:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

"Drew Adams" <[email-masked]> writes:

> Mostly an enhancement request, I guess, but partly a bug report.
>
> 1. (elisp) `Advising Functions'
>
> Says "Note that enabling a piece of advice and activating advice for a
> function are not the same thing."  But it does not say clearly what the
> difference is.  It says only this:
>
> a. A piece of advice can be "enabled"/"disabled".  It does not explain
> what this means.
>
> b. Advice takes effect only if both enabled and activated.
>
> That's pretty incomplete.  The difference between these two things
> (enabling, activating) is presumably important, and it is not made
> clear.  It is not enough to tell users not to confuse the two, without
> telling them clearly what the difference is.  Start with this question:
> What is the purpose of each of them (enabling, activating)?
>
> 2. The definition of "forward advice", and the *important* fact that you
> can advise a function without the function being defined yet, should be
> moved from (elisp) `Defining Advice' to (elisp) `Advising Functions'.
> It is not a detail concerning just the keyword `activate'.  (Note too
> that there is zero use of or reference to "forward advice" in the
> manual.)
>
> 3. If these concepts apply also to the new advice facility written by
> Stefan, then please keep this request in mind in that context: document
> each of the various states of a piece of advice (enabled but not
> activated etc.) etc.  (And where is the doc for that new facility?)

Since the above was reported, this entire section seems to have been
rewritten.  I can't find any of the problematic text reported above in
the new manual.  I'm therefore closing this bug report.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.